# Class StatementFacade.ResultSetProxy

java.lang.Object
org.apache.tomcat.jdbc.pool.StatementFacade.ResultSetProxy

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  `StatementFacade`

protected class StatementFacade.ResultSetProxy extends Object implements InvocationHandler

## Constructor Summary

Constructors
Constructor
Description
`ResultSetProxy(Object delegate, Object parent)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`Object`
`invoke(Object proxy, Method method, Object[] args)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResultSetProxy

public ResultSetProxy(Object delegate, Object parent)

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`